Bug 819691 - Clicking document in list does nothing after using browser back button
Clicking document in list does nothing after using browser back button
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity low
: ---
: 1.6.1
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 21:38 EDT by Joyce Chang
Modified: 2013-03-03 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.6.1-SNAPSHOT (20120608-0019)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 01:27:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joyce Chang 2012-05-07 21:38:00 EDT
Description of problem:
When exiting a current document by clicking "<-" on the left top of the browser, the document link will be dead if you wish to revisit previous document,unless the page is refreshed. 


Version-Release number of selected component (if applicable):
Zanata version 1.6.0-alpha-3-SNAPSHOT (20120508-0019).

How reproducible:
always

Steps to Reproduce:
1.Visit any document
2.Click "<-" from the left top of the browser 
3.Go back to previous document 
  
Actual results:
no response when clicking document link, unless the page is refreshed 

Expected results:
Go back to previous document, regardless if the page is refreshed or not. 


Additional info:
Other document links work properly after existing, except for the one that just visited
Comment 1 Sean Flanigan 2012-05-29 00:22:03 EDT
Workaround: use browser's forward button (->), instead of clicking on the document link.
Comment 2 Alex Eng 2012-05-31 21:32:56 EDT
Fixed in next release after 1.6

See https://github.com/zanata/zanata/commit/f3fc8ca11c46fcd618dbfd99cc8bbee267ae0761.
Comment 3 Ding-Yi Chen 2012-06-11 23:04:31 EDT
Verified with Zanata version 1.6.1-SNAPSHOT (20120608-0019)
Tested with: 
 Firefox 10.0.4
 Google Chrome 15.0.874.121
Comment 4 Sean Flanigan 2012-06-27 02:20:39 EDT
This might be too minor to include in the release notes; not sure.

Note You need to log in before you can comment on or make changes to this bug.